#pragma once
#include <Figments.h>
#include "../sprites/Blob.h"

class Flashlight: public Figment {
public:
  Flashlight();
  void handleEvent(const InputEvent& evt) override;
  void loop() override;
  void render(Display* dpy) const override;

private:
    static constexpr int blobCount = 30;
    SpriteList<Blob, blobCount> m_blobs;
};
